require "Game.lua"
require "MainMenu.lua"
require "MainScreen.lua"
require "MainScreenAndShop.lua"
require "Shop.lua"
require "ChooseTank.lua"
require "GameField.lua"
require "Tutorial.lua"

LoadResource("Music!.xml")
Sound:PlayTrack("Menu"..PermanentStorage.GetLocalStringOrDef("Current Tank", "1"), true)
Sound:SetMusicVolume(PermanentStorage.GetGlobalFloat("Music Volume") * 100)

LoadResource("fonts.xml")
LoadResource("LocalResources.xml")
LoadResource("GUI_Resources.xml")
LoadResource("BeautyResources.xml")
LoadResource("Sound.xml")
LoadResource("local/Language.xml")

require "plstart.lua"
require "fmstart.lua"

LoadControlTree("GUI.xml")

GameFunc("XML loaded")
